BDbHelper (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.bdb.BDbHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.bdb
Class BDbHelper

    java.lang.Object
      org.codehaus.activemq.store.bdb.BDbHelper

public class BDbHelper
extends Object

Some helper factory methods for creating default configured Berkeley DB objects

Version:
  $Revision: 1.2 $

Constructor Summary
`BDbHelper()`

Method Summary
`static byte[]` | `asBytes(long v)`
`static byte[]` | `asBytes(Long key)`
`static com.sleepycat.je.DatabaseConfig` | `createDatabaseConfig()`
`static com.sleepycat.je.Environment` | `createEnvironment(File dir)`
`static com.sleepycat.je.Transaction` | `getTransaction()`
`static int` | `getTransactionCount()`
`static long` | `longFromBytes(byte[] data)`
`static com.sleepycat.je.Transaction` | `popTransaction()` Pops off the current transaction from the stack
`static void` | `pushTransaction(com.sleepycat.je.Transaction transaction)` Sets the current transaction, possibly including nesting

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BDbHelper

    public BDbHelper()

Method Detail

### createEnvironment

    public static com.sleepycat.je.Environment createEnvironment(File dir)
                                                          throws com.sleepycat.je.DatabaseException

  Throws:
    `com.sleepycat.je.DatabaseException`

### createDatabaseConfig

    public static com.sleepycat.je.DatabaseConfig createDatabaseConfig()

### getTransaction

    public static com.sleepycat.je.Transaction getTransaction()

  Returns:
    the current thread local transaction that is in progress or null if there is no transaction in progress

### popTransaction

    public static com.sleepycat.je.Transaction popTransaction()

  Pops off the current transaction from the stack

### pushTransaction

    public static void pushTransaction(com.sleepycat.je.Transaction transaction)

  Sets the current transaction, possibly including nesting

### getTransactionCount

    public static int getTransactionCount()

### asBytes

    public static byte[] asBytes(long v)

### asBytes

    public static byte[] asBytes(Long key)

### longFromBytes

    public static long longFromBytes(byte[] data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.